package com.nisum.employeeservice.service;

import com.nisum.employeeservice.model.Employee;
import com.nisum.employeeservice.repository.EmployeeRepository;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.junit.Before;
import org.junit.After;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Arrays;
import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

//@RunWith(SpringRunner.class)
@SpringBootTest
class EmployeeServiceTest {

    @Autowired
    EmployeeRepository employeeRepository;
    @Autowired
    EmployeeService employeeService;

//    @Mock

    @Before
    void setUp() {

    }

    @After
    void tearDown() {
    }

    @Test
    void findAllEmployees() {
        Employee employee = new Employee();
        employee.setId(1L);
        employee.setFirstName("Jane");
        employee.setLastName("Doe");

        Employee employee1 = new Employee();
        employee.setId(2L);
        employee.setFirstName("John");
        employee.setLastName("Smith");

//        List<Employee> employeeList = Arrays.asList(employee, employee1);
//        Mockito.when(mockedEmployeeRepository.findAll()).thenReturn(employeeList);
//
//        List<Employee> resultList = mockedEmployeeRepository.findAllEmployees();
//        assertEquals(2, resultList.size());
    }

    @Test
    void addEmployeeMocked(){}

//    @Test
//    void addMockEmployee() {
//        Employee employee = new Employee();
//        employee.setFirstName("Tom");
//        employee.setLastName("Smith");
//        employeeService.addEmployee(employee);
//        List<Employee> employeeList= employeeService.findAllEmployees();
//        assertEquals(1, employeeList.size());
//    }

    @Test
    void addEmployee() {
        Employee employee = new Employee();
        employee.setFirstName("Tom");
        employee.setLastName("Smith");
        employeeService.addEmployee(employee);
        List<Employee> employeeList= employeeService.findAllEmployees();
        assertEquals(1, employeeList.size());
    }
}